### Function

# Gimp DrawableFilter operation_get_pspecs

since: 3.2

#### Declaration [src]

    GimpValueArray*
    gimp_drawable_filter_operation_get_pspecs (
      const gchar* operation_name
    )

#### Description [src]

Get information for all parameters of a GEGL operation.

This procedure returns a list of all parameters used to configure a GEGL operation. Each parameter is represented by GParamSpec.

Available since: 3.2

#### Parameters

`operation_name`

  Type: `const gchar*`

  The GEGL operation’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpValueArray`

List of all parameters of the GEGL operation. The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.